> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User's inventory items

> Retrieve a complete list of items in the User's inventory with filtering options.
    This includes:
    - All purchased products
    - Subscription items
    - Limited-time access items
    
    Use filters to narrow down results by product type or expiration date.



## OpenAPI

````yaml /api-reference/api-docs.yaml get /v0/users/{userId}/inventory
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/users/{userId}/inventory:
    get:
      tags:
        - users
      summary: Get User's inventory items
      description: >-
        Retrieve a complete list of items in the User's inventory with filtering
        options.
            This includes:
            - All purchased products
            - Subscription items
            - Limited-time access items
            
            Use filters to narrow down results by product type or expiration date.
      operationId: GetV0UsersUserIdInventory
      parameters:
        - name: page
          in: query
          required: false
          description: Page number for pagination (1-based).
          schema:
            $ref: '#/components/schemas/GetV0UsersUserIdInventoryParameterPage'
        - name: limit
          in: query
          required: false
          description: Number of items per page.
          schema:
            $ref: '#/components/schemas/GetV0UsersUserIdInventoryParameterLimit'
        - name: userId
          in: path
          required: true
          description: Unique identifier of the User to archive.
          schema:
            $ref: '#/components/schemas/GetV0UsersUserIdInventoryParameterUserId'
        - name: productType
          in: query
          required: false
          description: Filter inventory by product type.
          schema:
            $ref: '#/components/schemas/GetV0UsersUserIdInventoryParameterProductType'
        - name: expiresAfter
          in: query
          required: false
          description: |-
            Filter items expiring after this timestamp.
                    Useful for showing only active or future-valid items.
                    Accepts Unix timestamp in seconds or milliseconds.
          schema:
            $ref: >-
              #/components/schemas/GetV0UsersUserIdInventoryParameterExpiresAfter
      responses:
        '200':
          description: GET /v0/users/:userId/inventory Positive response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0UsersUserIdInventoryPositiveResponse'
        '400':
          description: GET /v0/users/:userId/inventory Negative response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0UsersUserIdInventoryNegativeResponse'
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
components:
  schemas:
    GetV0UsersUserIdInventoryParameterPage:
      type: integer
      format: int64
      exclusiveMinimum: 1
      maximum: 9007199254740991
      default: 1
      description: Page number for pagination (1-based).
    GetV0UsersUserIdInventoryParameterLimit:
      type: integer
      format: int64
      exclusiveMinimum: 1
      maximum: 100
      default: 10
      description: Number of items per page.
    GetV0UsersUserIdInventoryParameterUserId:
      type: string
      format: uuid
      description: Unique identifier of the User to archive.
      examples:
        - 123e4567-e89b-12d3-a456-426614174000
    GetV0UsersUserIdInventoryParameterProductType:
      type: string
      enum:
        - DigitalDownload
        - Game
        - GiftCard
        - SoftwareKey
        - VirtualCurrency
        - VirtualItem
        - Subscription
        - OneTimePayment
      description: Filter inventory by product type.
      examples:
        - OneTimePayment
    GetV0UsersUserIdInventoryParameterExpiresAfter:
      type:
        - integer
        - 'null'
      format: int64
      minimum: 0
      maximum: 9007199254740991
      description: |-
        Filter items expiring after this timestamp.
                Useful for showing only active or future-valid items.
                Accepts Unix timestamp in seconds or milliseconds.
      examples:
        - 1735689599
    GetV0UsersUserIdInventoryPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            inventory:
              type: array
              items:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - item
                    default: item
                  quantity:
                    type: integer
                    format: int64
                    minimum: 0
                    maximum: 9007199254740991
                    default: 0
                  value:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: 0
                    maximum: 9007199254740991
                    default: 0
                  currency:
                    type: string
                    enum:
                      - AFN
                      - ALL
                      - DZD
                      - AOA
                      - ARS
                      - AMD
                      - AWG
                      - AUD
                      - AZN
                      - BSD
                      - BDT
                      - BBD
                      - BZD
                      - BMD
                      - BOB
                      - BAM
                      - BWP
                      - BRL
                      - BHD
                      - GBP
                      - BND
                      - BGN
                      - BIF
                      - BYN
                      - KHR
                      - CAD
                      - CVE
                      - KYD
                      - KWD
                      - XAF
                      - XPF
                      - CLP
                      - CNY
                      - COP
                      - KMF
                      - CDF
                      - CRC
                      - HRK
                      - CZK
                      - DKK
                      - DJF
                      - DOP
                      - XCD
                      - EGP
                      - ETB
                      - EUR
                      - FKP
                      - FJD
                      - GMD
                      - GEL
                      - GIP
                      - GTQ
                      - GNF
                      - GYD
                      - HTG
                      - HNL
                      - HKD
                      - HUF
                      - ISK
                      - INR
                      - IDR
                      - ILS
                      - JMD
                      - JPY
                      - JOD
                      - KZT
                      - KES
                      - KGS
                      - LAK
                      - LBP
                      - LSL
                      - LRD
                      - MOP
                      - MKD
                      - MGA
                      - MWK
                      - MYR
                      - MVR
                      - MRO
                      - MUR
                      - MXN
                      - MDL
                      - MNT
                      - MAD
                      - MZN
                      - MMK
                      - NAD
                      - NPR
                      - ANG
                      - TWD
                      - NZD
                      - NIO
                      - NGN
                      - NOK
                      - OMR
                      - PKR
                      - PAB
                      - PGK
                      - PYG
                      - PEN
                      - PHP
                      - PLN
                      - QAR
                      - RON
                      - RUB
                      - RWF
                      - SHP
                      - SVC
                      - WST
                      - STD
                      - SAR
                      - RSD
                      - SCR
                      - SLL
                      - SGD
                      - SBD
                      - SOS
                      - ZAR
                      - KRW
                      - LKR
                      - SRD
                      - SZL
                      - SEK
                      - CHF
                      - TJS
                      - TZS
                      - THB
                      - TND
                      - TOP
                      - TTD
                      - TRY
                      - UGX
                      - UAH
                      - AED
                      - UYU
                      - USD
                      - UZS
                      - VUV
                      - VEF
                      - VND
                      - XOF
                      - YER
                      - ZMW
                      - SLE
                      - XCG
                      - SSP
                      - VES
                      - MRU
                      - STN
                      - VED
                  name:
                    type: string
                  variant:
                    type:
                      - object
                      - 'null'
                    properties:
                      object:
                        type: string
                        enum:
                          - variant
                        default: variant
                      id:
                        type: string
                        format: uuid
                      internalId:
                        type:
                          - string
                          - 'null'
                        default: null
                    required:
                      - id
                    default: null
                  plan:
                    type:
                      - object
                      - 'null'
                    properties:
                      object:
                        type: string
                        enum:
                          - variant
                        default: variant
                      id:
                        type: string
                        format: uuid
                      internalId:
                        type:
                          - string
                          - 'null'
                        default: null
                    required:
                      - id
                    default: null
                  product:
                    type: object
                    properties:
                      object:
                        type: string
                        enum:
                          - product
                        default: product
                      id:
                        type: string
                        format: uuid
                      type:
                        type: string
                        enum:
                          - DigitalDownload
                          - Game
                          - GiftCard
                          - SoftwareKey
                          - VirtualCurrency
                          - VirtualItem
                          - Subscription
                          - OneTimePayment
                      internalId:
                        type:
                          - string
                          - 'null'
                        default: null
                    required:
                      - id
                      - type
                  offer:
                    type: object
                    properties:
                      object:
                        type: string
                        enum:
                          - offer
                        default: offer
                      id:
                        type: string
                        format: uuid
                      internalId:
                        type:
                          - string
                          - 'null'
                        default: null
                    required:
                      - id
                  id:
                    type: string
                    format: uuid
                  customFields:
                    type:
                      - object
                      - 'null'
                    additionalProperties:
                      type: string
                    default: null
                required:
                  - currency
                  - name
                  - product
                  - offer
                  - id
            count:
              type: number
              format: double
              minimum: -1.7976931348623157e+308
              maximum: 1.7976931348623157e+308
            pages:
              type: number
              format: double
              minimum: -1.7976931348623157e+308
              maximum: 1.7976931348623157e+308
          required:
            - inventory
            - count
            - pages
      required:
        - status
        - data
    GetV0UsersUserIdInventoryNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key

````